--- app/app.gyp
+++ app/app.gyp
@@ -15,7 +15,7 @@
       ['exclude', '/(gtk|win|x11)_[^/]*\\.cc$'],
     ],
     'conditions': [
-      ['OS=="linux"', {'sources/': [
+      ['OS=="linux" or OS=="freebsd"', {'sources/': [
         ['include', '/gtk/'],
         ['include', '_(gtk|linux|posix|skia|x)\\.cc$'],
         ['include', '/(gtk|x11)_[^/]*\\.cc$'],
@@ -173,7 +173,7 @@
         ],
       },
       'conditions': [
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'dependencies': [
             # font_gtk.cc uses fontconfig.
             # TODO(evanm): I think this is wrong; it should just use GTK.
@@ -222,7 +222,7 @@
             'win/window_impl.h',
           ],
         }],
-        ['OS!="linux"', {
+        ['OS!="linux" and OS!="freebsd"', {
           'sources!': [
             'gfx/gtk_util.cc',
             'gfx/gtk_util.h',
@@ -275,7 +275,7 @@
         '..',
       ],
       'conditions': [
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'dependencies': [
             '../build/linux/system.gyp:gtk',
             '../tools/xdisplaycheck/xdisplaycheck.gyp:xdisplaycheck',
diff --git app/clipboard/clipboard.cc app/clipboard/clipboard.cc
index 9c13010..9219552 100644
